cmake_minimum_required(VERSION 3.20)
project(hex LANGUAGES CXX)

add_library(hex_target INTERFACE)
target_include_directories(hex_target INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
add_library(hex::hex ALIAS hex_target)
